cancel
Showing results for 
Search instead for 
Did you mean: 

support for wsdl2.0

Highlighted
Occasional Contributor

support for wsdl2.0

Hi there,

We are using a licensed version of SOAPUI Pro 3.5.1 but it seems there is no support for WSDL2.0 documents.
When I try to open a WSDL2.0 document I get the following error

Sun Nov 21 01:28:59 EST 2010:ERROR:An error occured [WSDLException (at /wsdl:description): faultCode=INVALID_WSDL: Expected element '{http://schemas.xmlsoap.org/wsdl/}definitions'.], see error log for details


The wsdl2.0 we are trying to open starts something like this
<wsdl:description targetNamespace


Let me know your thoughts.

Thanks,
Sushant
4 REPLIES 4
Highlighted

Re: support for wsdl2.0

Hi!

Unfortunately soapUI does not yet support the WSDL 2.0 specification, but this is is in our backlog and will be available in a future version.

Regards!

/Ole
eviware.com


Did my reply answer your question? Give Kudos or Accept it as a Solution to help others. ⬇️⬇️⬇️
Highlighted
Contributor

Re: support for wsdl2.0

When will SOAPUI Pro support WSDL 2.0?

This feature has been on your backlog for almost 2 years.

Thanks,

JVC
Highlighted

Re: support for wsdl2.0

Hi,

It's not supported still, unfortunately. This is feature request SOAP-1432. It is up to our SoapUI Pro Product Owner who will decide on including WSDL 2.0 support in a future release.

Regards,

Giscard
SmartBear Support


Did my reply answer your question? Give Kudos or Accept it as a Solution to help others. ⬇️⬇️⬇️
Highlighted
Occasional Contributor

Re: support for wsdl2.0

still no support for wsdl 2.0?

New Here?
Join us and watch the welcome video:
Announcements
Top Kudoed Authors